For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sample appsIntegrationsDiscordPlaygroundDevEx repo
GuidesSDK ReferenceAPI Reference
GuidesSDK ReferenceAPI Reference
  • TwelveLabs API
    • Introduction
    • Authentication
  • API Reference
    • Manage indexes
    • Upload content
      • Direct uploads
      • Multipart uploads
      • Video indexing tasks
        • The task object
        • POSTCreate a video indexing task
        • GETList video indexing tasks
        • GETRetrieve a video indexing task
        • DELDelete a video indexing task
    • Index content
    • Manage videos
    • Manage entities
    • Any-to-video search
    • Create embeddings v2
    • Create embeddings v1
    • Analyze and segment videos
    • Error codes
LogoLogo
Sample appsIntegrationsDiscordPlaygroundDevEx repo
API ReferenceUpload contentVideo indexing tasks

Retrieve a video indexing task

GET
https://api.twelvelabs.io/v1.3/tasks/:task_id
GET
/v1.3/tasks/:task_id
$curl https://api.twelvelabs.io/v1.3/tasks/6298d673f1090f1100476d4c \
> -H "x-api-key: <apiKey>"
1{
2 "_id": "61e1789761c43d6d9b7362f3",
3 "created_at": "2022-01-14T13:20:22.986Z",
4 "hls": {
5 "video_url": "https://d2cp8xx7n5vxnu.cloudfront.net/6298aa0b535db125bf6e1d10/64902a28fb01304dd47be3cb/stream/c924f34a-144e-41df-bf2a-c693703fa134.m3u8",
6 "thumbnail_urls": [
7 "https://d2cp8xx7n5vxnu.cloudfront.net/6298aa0b535db125bf6e1d10/64902a28fb01304dd47be3cb/thumbnails/c924f34a-144e-41df-bf2a-c693703fa134.0000001.jpg"
8 ],
9 "status": "COMPLETE",
10 "updated_at": "2024-01-16T07:59:40.879Z"
11 },
12 "index_id": "61e165b061c43d6d9b73627b",
13 "status": "ready",
14 "updated_at": "2022-01-17T08:35:21.639Z",
15 "video_id": "61e1789761c43d6d9b7362f3"
16}
This method retrieves a video indexing task.
Was this page helpful?
Previous

Delete a video indexing task

Next
Built with

Authentication

x-api-keystring

Your API key.

Note

You can find your API key on the API Keys page.

Path parameters

task_idstringRequired
The unique identifier of the video indexing task to retrieve.

Response

The specified video indexing task has successfully been retrieved.
_idstring
A string representing the unique identifier of the task. It is assigned by the platform when a new task is created.
created_atstring

A string indicating the date and time, in the RFC RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), that the task was created.

hlsobject

The platform returns this object only for the videos that you uploaded with the enable_video_stream parameter set to true.

index_idstring
A string representing the unique identifier of the index to which the video must be uploaded.
statusstring

A string indicating the status of the video indexing task. See the Task object page for a list of possible statuses.

system_metadataobject

System-generated metadata about the video.

updated_atstring

A string indicating the date and time, in the RFC RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), that the task object was last updated. The platform updates this field every time the video indexing task transitions to a different state.

video_idstring
A string representing the unique identifier of the video associated with the specified video indexing task.

Errors

400
Bad Request Error